<div class="center-element width-full">
    <canvas id="${_id}"></canvas>
</div>
#{set 'moreStyles'}
<style>
    class$="-legend"] {
        list-style: none;
        cursor: pointer;
        padding-left: 0;
    }

    [class$="-legend"] li {
        display: flex !important;
        padding: 0 5px;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        padding-bottom: 5px;
        line-height: 21px;
        color: #000000;
    }

    [class$="-legend"] li.hidden {
        text-decoration: line-through;
    }

    [class$="-legend"] li span {
        border-radius: 10px;
        padding-right: 18px;
        display: inline-block;
        height: 18px;
        margin-right: 10px;
        width: 18px;
    }

    .center-element {margin: auto;width: 50%;padding: 10px;}
canvas{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;}
</style>
#{/set}
#{set _scriptName == null ? 'chartScripts' : _scriptName}
<script src="@{'/public/vendor/chart/dist/Chart.bundle.min.js'}"></script>
<script>
    var colors =  [
        '#6c5b7c','#c06c84', '#f67280', '#f8b595',
        '#151965', '#32407b', '#515585', '#46b5d1',
        '#f8f8f8', '#f1d6ab', '#e3b04b', '#2b2b28'
    ]
    var ctx = document.getElementById('${_id}').getContext('2d');
    var myChart = new Chart(ctx, {
        type: 'doughnut',
        data: {
            labels: [#{list items: _chartable.labels, as: 'label'} '${label}', #{/list}],
            datasets: [
                #{list items: _chartable.datasets, as: 'dataset'}
                    {
                        fill: false,
                        data: [#{list items: dataset.data, as: 'data'} ${data}, #{/list}],
                        borderColor: [#{list items: dataset.data, as: 'data'} colors[${data_index-1}], #{/list}],
                        backgroundColor: [#{list items: dataset.data, as: 'data'} colors[${data_index-1}], #{/list}]
                    },
                #{/list}
            ]
        },
        options: {
                    responsive: true,
                    legend: {
                        display: ${ _legend == null || _legend},
                        position: 'bottom',
                        labels : {
                            fontSize:14,
                        },
                    },
                    title: {
                        display: true,
                        text: '${_title}',
                        fontSize: 18,
                    },
                    tooltips: {
                        mode: 'index',
                        intersect: false,
                        #{if _money}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return formatCurrenciesJuta(value);
                                }
                            }
                        #{/if}
                        #{elseif _decimal}
                            callbacks: {
                                label: function(tooltipItem, data) {
                                    var value = data.datasets[tooltipItem.datasetIndex].data[tooltipItem.index];
                                    return value + " %";
                                }
                            }
                        #{/elseif}
                    },
                    hover: {
                        mode: 'nearest',
                        intersect: true
                    },
                    animation: {
                        animateScale: true,
                        animateRotate: true
                    }
        }
    });
</script>
#{/set}